org.eclipse.viatra.addon.viewers.runtime.notation

## Interface Attribute

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, FormattableElement, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    AttributeImpl

      public interface Attribute
      extends FormattableElement

  A representation of the model object 'Attribute'.

  The following features are supported:

  - `Container`
  See Also:
    `NotationPackage.getAttribute()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Item` | `getContainer()` Returns the value of the 'Container' reference.
    `void` | `setContainer(Item value)` Sets the value of the '`Container`' reference.

    - ### Methods inherited from interface org.eclipse.viatra.addon.viewers.runtime.notation.FormattableElement

      `getFormat, getId, getLabel, setFormat, setId, setLabel`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getContainer

          Item getContainer()

      Returns the value of the 'Container' reference.

      If the meaning of the 'Container' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Container' reference.
      See Also:
        `setContainer(Item)`, `NotationPackage.getAttribute_Container()`
      Generated:
      Model:
        required="true"

    - #### setContainer

          void setContainer(Item value)

      Sets the value of the '`Container`' reference.
      Parameters:
        `value` - the new value of the 'Container' reference.
      See Also:
        `getContainer()`
      Generated: